PHP Manual
Prev |  | Next

# mssql_pconnect

(PHP 3, PHP 4, PHP 5)

mssql_pconnect -- Open persistent MS SQL connection

## Description

resource mssql_pconnect ( [string servername [, string username [, string password [, bool new_link]]]] )

mssql_pconnect() acts very much like mssql_connect() with two major differences.

First, when connecting, the function would first try to find a (persistent) link that's already open with the same host, username and password. If one is found, an identifier for it will be returned instead of opening a new connection.

Second, the connection to the SQL server will not be closed when the execution of the script ends. Instead, the link will remain open for future use (mssql_close() will not close links established by mssql_pconnect()).

This type of links is therefore called 'persistent'.

## Parameters

`servername`

  The MS SQL server. It can also include a port number. e.g. `hostname:port`.

`username`

  The username.

`password`

  The password.

`new_link`

  If a second call is made to mssql_connect() with the same arguments, no new link will be established, but instead, the link identifier of the already opened link will be returned. This parameter modifies this behavior and makes mssql_connect() always open a new link, even if mssql_connect() was called before with the same parameters.

## Return Values

Returns a positive MS SQL persistent link identifier on success, or `FALSE` on error.

Prev | Home | Next
mssql_num_rows | Up | mssql_query